# class KColorButton | A pushbutton to display or allow user selection of a colour. More...
Definition | `#include <kcolorbtn.h>`
Inherits | QPushButton (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColorButton ( QWidget *parent, const char *name = 0L )
- KColorButton ( const QColor &c, QWidget *parent, const char *name = 0L )
- virtual ~KColorButton ()
- QColor color () const
- void setColor ( const QColor &c )

#### Signals

- void changed ( const QColor &newColor )

#### Protected Slots

- void chooseColor ()

## Detailed Description

This widget can be used to display or allow user selection of a colour.

See also: KColorDialog

KColorButton ( QWidget *parent, const char *name = 0L ) | ### KColorButton

Constructor. Create a KColorButton.

KColorButton ( const QColor &c, QWidget *parent, const char *name = 0L ) | ### KColorButton

Constructor. Create a KColorButton.

Parameters:

c | The initial colour of the button.

~KColorButton () | ### ~KColorButton

[virtual]

Destructor.

QColor color () | ### color

[const]

The current colour.

Returns: The current colour.

void setColor ( const QColor &c ) | ### setColor

Set the current colour.

Parameters:

c | The colour to set.

void changed ( const QColor &newColor ) | ### changed

[signal]

This signal will be emitted when the colour of the widget is changed, either with setColor() or via user selection.

void chooseColor () | ### chooseColor

[protected slots slot]

void drawButtonLabel ( QPainter *p ) | ### drawButtonLabel

[protected virtual]

Reimplemented from QPushButton for internal purposes..

void dragEnterEvent ( QDragEnterEvent *) | ### dragEnterEvent

[protected virtual]

void dropEvent ( QDropEvent *) | ### dropEvent

[protected virtual]

void mousePressEvent ( QMouseEvent *e ) | ### mousePressEvent

[protected virtual]

void mouseMoveEvent ( QMouseEvent *e) | ### mouseMoveEvent

[protected virtual]

- Version: $Id: kcolorbtn.h,v 1.14 2000/10/15 17:30:00 putzer Exp $
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.